/*****************************************************************************
**
** libtoolmat.h
**
** Description:
**    libtoolmat header file.
**
*****************************************************************************/
static void PrintErrorMessage( int errorCode );

	int ToolMaterial_List_Help();
	int ToolMaterial_Edit_New(int );
	char * ToolMaterial_NewInd();
	int ToolMaterial_Delete(int);
	int ToolMaterial_Save();
	int ToolMaterial_Load();
	int ToolMaterial_Init();

#ifndef LIBTOOLMAT_H_INCLUDED
#define LIBTOOLMAT_H_INCLUDED
 
#include <uf.h> 
#include <uf_defs.h>
#include <uf_styler.h> 


#ifdef __cplusplus
extern "C" {
#endif


/*------------------ UIStyler Dialog Definitions  ------------------- */
/* The following values are definitions into your UIStyler dialog.    */
/* These values will allow you to modify existing objects within your */
/* dialog.   They work directly with the UG/Open API,                 */
/* UF_STYLER_ask_value, UF_STYLER_ask_values, and UF_STYLER_set_value.*/
/*------------------------------------------------------------------- */
 
#define TM_LABEL_0                     ("LABEL_0")
#define TM_SEP_1                       ("SEP_1")
#define TM_LIST_TOOL_MATERIAL          ("LIST_TOOL_MATERIAL")
#define TM_BLO_ACT                     ("BLO_ACT")
#define TM_DIALOG_OBJECT_COUNT         ( 4 )
 

/*---------------- UIStyler Callback Prototypes --------------- */
/* The following function prototypes define the callbacks       */
/* specified in your UIStyler built dialog.  You are REQUIRED to*/
/* create the associated function for each prototype.  You must */
/* use the same function name and parameter list when creating  */
/* your callback function.                                      */
/*------------------------------------------------------------- */

int TM_construct_cb ( int dialog_id,
             void * client_data,
             UF_STYLER_item_value_type_p_t callback_data);

int TM_ok_cb ( int dialog_id,
             void * client_data,
             UF_STYLER_item_value_type_p_t callback_data);

int TM_cancel_cb ( int dialog_id,
             void * client_data,
             UF_STYLER_item_value_type_p_t callback_data);

int TM_list_tool_material_cb ( int dialog_id,
             void * client_data,
             UF_STYLER_item_value_type_p_t callback_data);

int TM_blo_act_cb ( int dialog_id,
             void * client_data,
             UF_STYLER_item_value_type_p_t callback_data);




#ifdef __cplusplus
}
#endif



#endif /* LIBTOOLMAT_H_INCLUDED */
